# Output

enum Output

The types of output that the agent can use for execution data.

## Entries

FILE
Link copied to clipboard
FILE
TCP_SERVER
Link copied to clipboard
TCP_SERVER
TCP_CLIENT
Link copied to clipboard
TCP_CLIENT
NONE
Link copied to clipboard
NONE

## Functions

getAsArg
Link copied to clipboard
open fun getAsArg(): String
Gets type in format of agent argument.
valueOf
Link copied to clipboard
open fun valueOf(name: String): JacocoTaskExtension.Output

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
open fun values(): Array<JacocoTaskExtension.Output>

Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants.